Package org.apache.commons.math3.util

# Enum MathArrays.OrderDirection

java.lang.Object
java.lang.Enum<MathArrays.OrderDirection>
org.apache.commons.math3.util.MathArrays.OrderDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<MathArrays.OrderDirection>`, `java.lang.constant.Constable`

Enclosing class:
  `MathArrays`

public static enum MathArrays.OrderDirection extends Enum<MathArrays.OrderDirection>
Specification of ordering direction.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DECREASING`
Constant for decreasing direction.
`INCREASING`
Constant for increasing direction.

## Method Summary

Modifier and Type
Method
Description
`static MathArrays.OrderDirection`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MathArrays.OrderDirection[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INCREASING

public static final MathArrays.OrderDirection INCREASING
Constant for increasing direction.

### DECREASING

public static final MathArrays.OrderDirection DECREASING
Constant for decreasing direction.

## Method Details

### values

public static MathArrays.OrderDirection[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MathArrays.OrderDirection valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null